<div class="transfer-site">
    <app-content-banner [isDashboard]="false" pageName="Transfer Housing Provider Site"></app-content-banner>
    <form [formGroup]="transferSiteForm" (ngSubmit)="onSubmit()">
        <mat-card class="sp-main-card" *ngIf="showTransfersiteDetail === false">
            <mat-card-content class="regular-mat-form-field">
                <div class="div-border">
                    <div fxLayout="row" class="div-row" fxLayoutAlign="center center">
                        <label>Select the Agency and Site from which the site profile should be copied over to the new
                            site</label>
                    </div>

                    <div fxLayout="row" class="div-row" fxLayoutAlign="center center">
                        <label>&nbsp; &nbsp;</label>
                    </div>
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px">
                        <div fxFlex="40">
                            <label class="required-label-color">Agency Name &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" class='regular-mat-form-field '
                            style='width:300px; height:20px!important'>
                            <input matInput aria-label="AgencyID" [matAutocomplete]="auto"   formControlName="transferFromAgencyCtrl"
                              placeholder="Select one">
                            <mat-icon matSuffix>search</mat-icon>
                            <mat-autocomplete #auto="matAutocomplete" >
                              <mat-option style="height: 30px;font-size:0.9em" *ngFor="let agency of filteredAgencyData | async"
                                [value]='agency.agencyNo + " - "  + agency.name'  [value]="agency.agencyID" (onSelectionChange)="refershAgencySites(agency.agencyID)">
                                {{ agency.agencyNo }} - {{ agency.name }}
                              </mat-option>
                            </mat-autocomplete>
                          </mat-form-field>
                       <!--     <mat-form-field appearance="outline" style='width:300px'>
                                <mat-select formControlName="transferFromAgencyCtrl" [(ngModel)]="transfersiteinfo.TransferFromAgencyID"
                                    (ngModelChange)="refershAgencySites()" placeholder="Select">
                                    <mat-option *ngFor="let agencyFrom of agencyList" [value]="agencyFrom.agencyID">
                                        {{agencyFrom.agencyNo}} - {{agencyFrom.name}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>-->
                        </div>
                        <div fxFlex="40">
                            <label class="required-label-color">Site Name &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" style='width:300px'>
                                <mat-select formControlName="transferFromSiteCtrl" [(ngModel)]="transfersiteinfo.TransferFromSiteID"
                                    placeholder="Select">
                                    <mat-option *ngFor="let agencySite of agencySites" [value]="agencySite.siteID">
                                        {{agencySite.agencySite}}-{{agencySite.name}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                    <!--<div  fxLayout="row"   class="div-row" fxLayoutAlign="center center"  >
                    <label  >&nbsp; &nbsp;</label> 
                </div>-->
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px" >
                        <div fxFlex="40" fxLayoutAlign="center center">
                            <label class="required-label-color">Do you wish to copy the site profile to an existing agency ? </label>
                            <mat-radio-group [(ngModel)]="transfersiteinfo.IsTransferToExistingAgency" fxLayoutGap="10px"
                                formControlName="IsTransferToExistingAgencyCtrl">
                                <mat-radio-button *ngFor="let yesNo of yesNoTypes" [value]="yesNo.refGroupDetailID">
                                    {{yesNo.refGroupDetailDescription}}
                                </mat-radio-button>
                            </mat-radio-group>
                        </div>

                        <div fxFlex="40" *ngIf="transfersiteinfo.IsTransferToExistingAgency === 33" >
                            <label class="required-label-color">Agency Name &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" class='regular-mat-form-field '
                            style='width:400px; height:20px!important'>
                            <input matInput aria-label="AgencyID" [matAutocomplete]="auto1"  formControlName="transferToExistingAgencyIDCtrl"
                              placeholder="Select one">
                            <mat-icon matSuffix>search</mat-icon>
                            <mat-autocomplete #auto1="matAutocomplete" >
                              <mat-option style="height: 30px;font-size:0.9em" *ngFor="let agency of filterAgencyList | async"
                                [value]='agency.agencyNo + " - "  + agency.name'  [value]="agency.agencyID" (onSelectionChange)="refershTransferAgency(agency.agencyID)">
                                {{ agency.agencyNo }} - {{ agency.name }}
                              </mat-option>
                            </mat-autocomplete>
                          </mat-form-field>
                            <!--<mat-form-field appearance="outline" style='width:300px'>
                                <mat-select formControlName="transferToExistingAgencyIDCtrl" [(ngModel)]="transfersiteinfo.TransferToExistingAgencyID"
                                    placeholder="Select">
                                    <mat-option *ngFor="let agencyTo of agencyList" [value]="agencyTo.agencyID">
                                        {{agencyTo.agencyNo}} - {{agencyTo.name}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>-->
                        </div>
                    </div>

                    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="center">
                        <label> &nbsp;</label>
                        
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="center">
                        <label> &nbsp;</label>
                        <button type="button" mat-raised-button color="primary" matTooltip="Proceed" (click)="proceedTransferSiteSelection()">Proceed</button>
                    </div>
                </div>
            </mat-card-content>
        </mat-card>
        <mat-card *ngIf="showTransfersiteDetail === true">
            <mat-card-content class="regular-mat-form-field">
                <div class="div-border">
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px">
                        <label><b>Agency Details</b></label>

                    </div>
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px">
                        <div fxFlex="50">
                            <label class="required-label-color">Agency Name &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" style='width:300px'>
                                <input matInput type="text" [(ngModel)]="agencyInfo.name"  maxlength="50"  class="txtuppercase"
                                    formControlName="agencyNameCtrl" />
                            </mat-form-field>
                        </div>
                        <div fxFlex="50">
                            <label class="required-label-color">Agency Type &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" style='width:300px'>
                                <mat-select formControlName="agencyTypeCtrl" [(ngModel)]="agencyInfo.agencyType" 
                                    placeholder="Select">
                                    <mat-option *ngFor="let agencyType of agencyTypes" [value]="agencyType.siteTypeCode">
                                        {{agencyType.typeDescription}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px">
                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color"> Address</label>
                            <mat-form-field appearance="outline">
                                <textarea matInput maxlength="200" [(ngModel)]="agencyInfo.agencyAddress" rows="2"
                                    class="txtuppercase" formControlName="agencyaddressCtrl">

                            </textarea>
                            </mat-form-field>

                        </div>

                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">City</label>
                            <mat-form-field appearance="outline">
                                <input matInput type="text" [(ngModel)]="agencyInfo.city" class="txtuppercase"
                                    formControlName="agencycityCtrl" maxlength="50" alphabetSpace />
                            </mat-form-field>
                        </div>
                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">State</label>
                            <mat-form-field appearance="outline">
                                <input matInput type="text" [(ngModel)]="agencyInfo.state" class="txtuppercase"
                                    formControlName="agencystateCtrl" maxlength="2" alphabetOnly />
                            </mat-form-field>
                        </div>
                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">Zip</label>
                            <mat-form-field appearance="outline">
                                <input matInput digitOnly [(ngModel)]="agencyInfo.zip" formControlName="agencyzipCtrl"
                                    maxlength="5" />
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="center">
                        <label> &nbsp;</label>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                        <label fxFlex="30"><b>Agency Contact &nbsp; &nbsp; </b></label>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px" fxLayoutAlign="left center">
                        <label fxFlex="30"> &nbsp; &nbsp;</label>
                    </div>
                    <div fxLayout="row" fxLayoutGap="5px">

                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30" class="required-label-color">First Name &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.contactFirstName" class="txtuppercase"
                                    formControlName="firstNameCtrl" maxlength="50" />
                            </mat-form-field>
                        </div>

                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30" class="required-label-color">Last Name &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.contactLastName" class="txtuppercase"
                                    formControlName="lastNameCtrl" maxlength="50" />
                            </mat-form-field>
                        </div>
                        <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30">Office Title &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.contactTitle" class="txtuppercase"
                                    formControlName="titleCtrl" maxlength="25" />
                            </mat-form-field>
                        </div>
                        <div fxFlex="20" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30" class="required-label-color">Email &nbsp; &nbsp;</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.email" formControlName="emailCtrl"
                                    maxlength="50" />
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxLayout="row">
                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30" class="required-label-color"> Office Phone</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.phone" formControlName="officephoneCtrl"
                                    [showMaskTyped]="true" mask="000-000-0000" />

                            </mat-form-field>

                        </div>

                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30">Extension</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.extension" formControlName="officephoneExtnCtrl"
                                    maxlength="5" />
                            </mat-form-field>
                        </div>
                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30" fxFlex="30">Fax</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.fax" formControlName="faxCtrl" mask="000-000-0000"
                                    [showMaskTyped]="true" />
                            </mat-form-field>
                        </div>

                    </div>
                    <div fxLayout="row">
                        <div fxFlex="30" fxLayoutGap="5px" fxLayoutAlign="left center">
                            <label fxFlex="30"> Cell Phone</label>
                            <mat-form-field appearance="outline" fxFlex="70">
                                <input matInput type="text" [(ngModel)]="agencyInfo.alternatePhone" formControlName="cellphoneCtrl"
                                    [showMaskTyped]="true" mask="000-000-0000" />
                            </mat-form-field>
                        </div>
                    </div>


                </div>
            </mat-card-content>

            <mat-card-content class="regular-mat-form-field">
                <div class="div-border">
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px">
                        <label><b>Site Details</b></label>

                    </div>
                    <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="center">
                        <label> &nbsp;</label>
                    </div>
                    <div fxLayout="row" fxLayoutGap="10px">
                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">Site Name</label>
                            <input type="hidden" [(ngModel)]="site.siteID" formControlName="hdnsiteIDCtrl" />
                            <mat-form-field appearance="outline">

                                <input matInput type="text" [(ngModel)]="site.name" class="txtuppercase"
                                    formControlName="siteNameCtrl" />
                            </mat-form-field>
                        </div>
                        <div fxFlex="20" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">Site Address</label>
                            <mat-form-field appearance="outline">
                                <textarea matInput maxlength="200" [(ngModel)]="site.address" rows="4" class="txtuppercase"
                                    formControlName="addressCtrl">

                            </textarea>
                            </mat-form-field>

                        </div>

                        <div fxFlex="15" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">City</label>
                            <mat-form-field appearance="outline">
                                <input matInput type="text" [(ngModel)]="site.city" class="txtuppercase"
                                    formControlName="cityCtrl" maxlength="50" alphabetSpace />
                            </mat-form-field>
                        </div>
                        <div fxFlex="15" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">State</label>
                            <mat-form-field appearance="outline">
                                <input matInput type="text" [(ngModel)]="site.state" class="txtuppercase"
                                    formControlName="stateCtrl" maxlength="2" alphabetOnly />
                            </mat-form-field>
                        </div>
                        <div fxFlex="15" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color">Zip</label>
                            <mat-form-field appearance="outline">
                                <input matInput digitOnly [(ngModel)]="site.zip" formControlName="zipCtrl" maxlength="5" />
                            </mat-form-field>
                        </div>



                    </div>
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px">
                        <div fxFlex="30" fxLayoutGap="5px">

                            <label class="required-label-color">Borough &nbsp; &nbsp; </label>
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="siteBoroughTypeCtrl" [(ngModel)]="site.boroughType"
                                    placeholder="Select">
                                    <mat-option *ngFor="let siteBorough of boroughTypes" [value]="siteBorough.refGroupDetailID">
                                        {{siteBorough.refGroupDetailDescription}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                        <div fxFlex="30" fxLayoutGap="5px">

                            <label class="required-label-color">Site Category &nbsp; &nbsp; </label>
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="siteCategoryTypeCtrl" [(ngModel)]="site.siteCategoryType"
                                    placeholder="Select">
                                    <mat-option *ngFor="let siteCategory of siteCategoryTypes" [value]="siteCategory.refGroupDetailID">
                                        {{siteCategory.refGroupDetailDescription}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxLayout="row" class="div-row" fxLayoutGap="10px">
                        <div fxLayout="column" fxLayoutAlign="start" style="margin-left: 2%">
                            <mat-checkbox formControlName="isVerifyTransferSiteCtrl" (change)="onIsVerifyTransferSite($event)"></mat-checkbox>
                        </div>
                        &nbsp;&nbsp;
                        <div fxLayout="column" fxLayoutAlign="start" class="align-center" style="margin-right: 2%">
                            <span>
                                Please note upon checking this box,the profile is copied to the {{agencyInfo.name | uppercase}}
                                within the {{site.name | uppercase}},please click proced to review the information and approve.
                            </span>
                        </div>
                    </div>



                </div>
                <div fxLayout="row" class="div-border" fxLayoutGap="10px" fxLayoutAlign="center">
                    <label> &nbsp;</label>
                    <button type="button" mat-raised-button color="primary" matTooltip="Proceed" (click)="proceed()">Proceed</button>
                </div>
            </mat-card-content>



        </mat-card>
    </form>
</div>